Bug 838378 - [abrt] totem-3.4.2-1.fc17: Process /usr/bin/totem was killed by signal 11 (SIGSEGV)
[abrt] totem-3.4.2-1.fc17: Process /usr/bin/totem was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clutter (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:c79e811fd46b93045d485cc6bbe...
: Patch
: 842185 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 18:44 EDT by scorpio
Modified: 2013-08-01 04:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (9.05 KB, text/plain)
2012-07-08 18:44 EDT, scorpio
no flags Details
File: maps (108.42 KB, text/plain)
2012-07-08 18:44 EDT, scorpio
no flags Details
File: backtrace (80.91 KB, text/plain)
2012-07-08 18:44 EDT, scorpio
no flags Details

  None (edit)
Description scorpio 2012-07-08 18:44:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        
crash_function: _clutter_input_device_reset_axes
executable:     /usr/bin/totem
kernel:         3.4.4-3.fc17.x86_64
pid:            4309
pwd:            /home/scorpio
time:           jeu 05 jui 2012 21:22:38 CEST
uid:            1000

backtrace:      Text file, 82847 bytes
build_ids:      Text file, 9266 bytes
maps:           Text file, 111020 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/scorpio/5

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=5
:HOSTNAME=fusion
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/scorpio/keyring-wZLUBi
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=scorpio
:USERNAME=
:MAIL=/var/spool/mail/scorpio
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/scorpio/.local/bin:/home/scorpio/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/scorpio
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=3449
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/scorpio
:SHLVL=1
:LOGNAME=scorpio
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-n738LgtiKK,guid=4fe455cc1c075ccceb542b6100000c1e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/scorpio
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-scorpio-QYQxWZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3451,unix/unix:/tmp/.ICE-unix/3451
:SSH_AUTH_SOCK=/run/user/scorpio/keyring-wZLUBi/ssh
:GPG_AGENT_INFO=/run/user/scorpio/keyring-wZLUBi/gpg:0:1
:LC_TIME=fr_BE.utf8
:LC_NUMERIC=fr_BE.utf8
:LC_MONETARY=fr_BE.utf8
:LC_MEASUREMENT=fr_BE.utf8
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/totem.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4309
:DESKTOP_STARTUP_ID=nautilus-3731-fusion-totem-0_TIME3471166

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31462                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31462                31462                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/scorpio/.xsession-errors
:pos:	8164
:flags:	0102002
:2:/home/scorpio/.xsession-errors
:pos:	8164
:flags:	0102002
:3:socket:[199674]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[200303]
:pos:	0
:flags:	02004002
:6:socket:[200847]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/dev/dri/card0
:pos:	0
:flags:	0100002
:10:socket:[200870]
:pos:	0
:flags:	02000002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[200368]
:pos:	0
:flags:	02004002
:13:socket:[200459]
:pos:	0
:flags:	04002
:14:socket:[200460]
:pos:	0
:flags:	04002
:15:anon_inode:inotify
:pos:	0
:flags:	02004000
:16:/dev/urandom
:pos:	0
:flags:	02100000
:17:socket:[200970]
:pos:	0
:flags:	02000002
:18:/home/scorpio/.grl-podcasts
:pos:	40
:flags:	02100002
:19:/home/scorpio/.grl-metadata-store
:pos:	40
:flags:	02100002
:20:/home/scorpio/.cache/tracker/meta.db
:pos:	1180672
:flags:	02100000
:21:/home/scorpio/.cache/tracker/meta.db-wal
:pos:	218016
:flags:	02100002
:22:/home/scorpio/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:23:socket:[200979]
:pos:	0
:flags:	04002
:24:socket:[200980]
:pos:	0
:flags:	04002
:25:pipe:[200981]
:pos:	0
:flags:	02004000
:26:pipe:[200981]
:pos:	0
:flags:	02004001
:27:socket:[200985]
:pos:	0
:flags:	02004002
:28:/run/media/scorpio/My Book/Movies/OSS 117 - Le Caire nid d'espions.avi
:pos:	27347
:flags:	0100000
:29:socket:[200555]
:pos:	0
:flags:	02004002
:30:socket:[200556]
:pos:	0
:flags:	02004002
:31:socket:[200557]
:pos:	0
:flags:	02004002
:32:socket:[200559]
:pos:	0
:flags:	02004002
:33:socket:[200560]
:pos:	0
:flags:	02004002
:34:socket:[200561]
:pos:	0
:flags:	02004002
:35:/dev/urandom
:pos:	0
:flags:	02100000
Comment 1 scorpio 2012-07-08 18:44:04 EDT
Created attachment 596939 [details]
File: build_ids
Comment 2 scorpio 2012-07-08 18:44:09 EDT
Created attachment 596940 [details]
File: maps
Comment 3 scorpio 2012-07-08 18:44:13 EDT
Created attachment 596941 [details]
File: backtrace
Comment 4 digimer 2012-07-31 21:05:23 EDT
Not sure, saw it when my laptop came out of sleep.

backtrace_rating: 4
Package: totem-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Chen_Min_Chin 2012-08-05 16:07:31 EDT
1.Insert usb mouse into my Latop.
2.crash.


backtrace_rating: 4
Package: totem-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 la2k_dot_com 2012-08-05 16:07:31 EDT
Fermeture du logiciel après la lecture d'une vidéo

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Hernán Schmidt 2012-08-14 12:07:36 EDT
I left Totem paused for a little while. Also happens a lot after the last song on my playlist finishes.

backtrace_rating: 4
Package: totem-3.4.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Cedric Buissart 2012-09-17 05:40:46 EDT
That is coming from clutter.

Extract from backtrace attached :
Thread 1 (Thread 0x7f77ca7f19c0 (LWP 4309)):
#0  _clutter_input_device_reset_axes (device=device@entry=0x0) at ./clutter-input-device.c:941     <= hmm... calling a function with NULL argument is always slightly worrying


This is due to the fact that we do not check the return value of g_hash_table_lookup : that function did not create the device. In this case it return NULL. device is NULL, and function _clutter_input_device_reset_axes does not expect a NULL argument.



function 
clutter_device_manager_xi2_translate_event (...)
[...]
733             device = g_hash_table_lookup (manager_xi2->devices_by_id,     <= returns NULL, thus device=NULL
734                                           GINT_TO_POINTER (xev->deviceid));
735             _clutter_input_device_reset_axes (device);                                    <=  _clutter_input_device_reset_axes (NULL), as shown in backtrace




938     void
939     _clutter_input_device_reset_axes (ClutterInputDevice *device)
940     {
941       if (device->axes != NULL)                                   <= NULL->axes => SEGV
942         {
943           g_array_free (device->axes, TRUE);
944           device->axes = NULL;


This is resolved in clutter upstream already. If the g_hash_table_lookup function returns NULL, we skip it.

Extract :
        device = g_hash_table_lookup (manager_xi2->devices_by_id,
                                      GINT_TO_POINTER (xev->deviceid));
        if (device)                                                    <= if this is NULL, we skip :)
          { 
            _clutter_input_device_reset_axes (device);

Will check further for the patch, looks pretty straight forward.
Comment 9 Cedric Buissart 2012-09-17 05:58:36 EDT
That is what we want :
http://git.gnome.org/browse/clutter/commit/?id=e3ca87784ea52d6008fcd34bf85066cb7d8b8497
Comment 10 Brad Hubbard 2013-01-13 04:10:24 EST
Nice work Cedric. Changing component to Clutter.
Comment 11 Brad Hubbard 2013-01-13 04:10:44 EST
*** Bug 842185 has been marked as a duplicate of this bug. ***
Comment 12 Fedora End Of Life 2013-07-03 22:28:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 04:25:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.